Bug 311097 - Editor sometimes doesn't create journals
Summary: Editor sometimes doesn't create journals
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: incidence editors (show other bugs)
Version: GIT (master)
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 17:44 UTC by Sergio Martins
Modified: 2012-12-07 14:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Martins 2012-12-03 17:44:49 UTC
The apply button simply doesn't work.

Reproducible: Always
Comment 1 Sergio Martins 2012-12-03 17:46:29 UTC
Git commit 1c9a5d08445e6bd7af088ee30b7bb3fb98c317b1 by Sergio Martins.
Committed on 03/12/2012 at 18:43.
Pushed by smartins into branch 'KDE/4.9'.

eventeditors: Don't validate the end date for journals.

Journals don't have end date.

M  +2    -1    incidenceeditor-ng/incidencedatetime.cpp

http://commits.kde.org/kdepim/1c9a5d08445e6bd7af088ee30b7bb3fb98c317b1
Comment 2 Sergio Martins 2012-12-06 20:13:35 UTC
Git commit 93d39d83b08dccddec1379d9f8bf118476bf029d by Sergio Martins.
Committed on 06/12/2012 at 21:09.
Pushed by smartins into branch 'master'.

korg/editors: Fix alarms.

This is a better fix for bug 311097.
We can't really rely on isVisible() for anything serious since
on widget creation it's still false.

M  +4    -2    incidenceeditor-ng/incidencedatetime.cpp

http://commits.kde.org/kdepim/93d39d83b08dccddec1379d9f8bf118476bf029d
Comment 3 Sergio Martins 2012-12-07 14:38:46 UTC
Git commit a28bdb6171726de116a3bef147ee81aa3c3fb520 by Sergio Martins.
Committed on 06/12/2012 at 21:09.
Pushed by smartins into branch 'KDE/4.9'.

korg/editors: Fix alarms.

This is a better fix for bug 311097.
We can't really rely on isVisible() for anything serious since
on widget creation it's still false.

This is a backport of 93d39d83b08dccddec1379d9f8bf118476bf029d.
I didn't know there was going to be a 4.8.5 release.

M  +5    -2    incidenceeditor-ng/incidencedatetime.cpp

http://commits.kde.org/kdepim/a28bdb6171726de116a3bef147ee81aa3c3fb520